%define debug_package %{nil}

Summary:        Turkish spell checker library
Name:           zemberek
Version:        2.1.1
Release:        %mkrel  12
License:        MPLv1.1
Group:          Development/Java
URL:            http://zemberek.googlecode.com
Source:         http://zemberek.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        zemberek-demo
Patch0:         java-source-target-version.patch
BuildRequires:  ant
BuildRequires:  java-latest-openjdk-devel
BuildRequires:  jpackage-utils
BuildRequires:  xml-commons-apis-javadoc

Requires:       java

%description
Zemberek is an open source, platform independent, 
general purpose Natural Language Processing 
library and tool-set designed for Turkic languages,
especially Turkish.

%package javadoc
Summary: Javadocs for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package docs
Summary: Documentation for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}

%description docs
This package contains %{name} documentation for developers.


%prep
%setup -q -n %{name}-%{version}-src
%patch0 -p1

find . -type f -name "*.class" | xargs %{__rm} -f
find . -type f -name "*.jar" | xargs %{__rm} -f

%build

%{ant} dist \
      javadocs

%install

%{__mkdir_p} %{buildroot}%{_javadir}/%{name}


%{__install} -D -m 655 dagitim/jar/zemberek-az-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-az.jar
%{__install} -D -m 655 dagitim/jar/zemberek-cekirdek-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-cekirdek.jar
%{__install} -D -m 655 dagitim/jar/zemberek-demo-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-demo.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tk-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tk.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tr-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tr.jar


# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -a build/java-docs/* %{buildroot}%{_javadocdir}/%{name}

#docs
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-docs
%{__cp} -a dokuman/%{name}* %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -a dokuman/*txt %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -R dokuman/dil-gelistirme/* %{buildroot}%{_docdir}/%{name}-docs/

# examples (demo)
%{__install}  -D -m 655 %{_sourcedir}/zemberek-demo   %{buildroot}%{_bindir}/%{name}-demo


%files
%doc surumler.txt dokuman/lisanslar/zemberek-license.txt
%{_javadir}/*
%{_bindir}/*

%files javadoc
%{_javadocdir}/%{name}

%files docs
%{_docdir}/%{name}-docs/*


%changelog
* Mon Aug 08 2022 pol4n <pol4n> 2.1.1-12.mga9
+ Revision: 1876237
- Fix buildrequires and rpmlint requirements

* Sun Mar 27 2022 umeabot <umeabot> 2.1.1-11.mga9
+ Revision: 1828988
- Mageia 9 Mass Rebuild

* Sat Dec 05 2020 luigiwalser <luigiwalser> 2.1.1-10.mga8
+ Revision: 1653212
- set java source and target version to 1.8 to fix build

* Fri Feb 14 2020 umeabot <umeabot> 2.1.1-9.mga8
+ Revision: 1519143
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.1-8.mga7
+ Revision: 1302045
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 2.1.1-7.mga6
+ Revision: 963682
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tarakbumba <tarakbumba> 2.1.1-6.mga6
+ Revision: 889410
+ rebuild (emptylog)

* Wed Nov 05 2014 tv <tv> 2.1.1-5.mga5
+ Revision: 795725
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-4.mga5
+ Revision: 746804
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 690865
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 523259
- Mageia 4 Mass Rebuild

* Mon Apr 01 2013 zezinho <zezinho> 2.1.1-1.mga3
+ Revision: 406939
- imported package zemberek


* Sun Jan 27 2013 Atilla ÖNTAŞ <tarakbumba@gmail.com> zemberek-2.1.1-1mgt3
- Repackage for Mageia3

* Fri Jul 03 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-4mvt2009.1
- Repackage to fit Mandriva Policies

* Tue Apr 14 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-3mvt2009.1
- Fixed some wrong specifications of .spec file 

* Thu Mar 11 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-2mvt2009.1
- Fixed some specifications of .spec file 

* Thu Jan 28 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-1mvt2009.1
- Inıtial RPM
- Ported to Mandriva
